> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/set-dsuserlicense.md).

# Set-DSUserLicense

Set-DSUserLicense weist einem Benutzer eine Devolutions Server-Lizenz zu oder entfernt sie, indem das IsMember-Flag der Lizenzzuweisung aktualisiert wird.

### Übersicht

Legt die Lizenzzuweisungen fest

### Syntax

#### \_\_AllParameterSets

```
Set-DSUserLicense -InputObject <PSLicenseAssignmentInfo[]> [-AsLegacyResponse] [<CommonParameters>]
```

### Beschreibung

Legt die Lizenzzuweisungen fest. Um einen Benutzer einer Lizenz zuzuweisen oder die Zuweisung aufzuheben, ändern Sie das Feld IsMember des gewünschten Benutzers.

### Beispiele

```powershell
PS C:\> $AsLegacyResponse = $true
        $licResponse = Get-DSLicence;
        $license = $licRespones.Data | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Weist dem Benutzer 'Name of the user to assign' die mit XXXXX beginnende Lizenz zu

### Parameter

#### -AsLegacyResponse

In Versionen vor 2024.2 gaben viele DS-Cmdlets ein ServerResponse-Objekt zurück. Durch Aktivieren dieses Schalters für Rückwärtskompatibilität können Skripte, die für frühere Versionen entwickelt wurden, korrekt funktionieren.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Benutzerzuweisungen zu einer Lizenz, die von Get-DSUserLicense abgerufen wurden

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseAssignmentInfo[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Eingaben

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseAssignmentInfo

Geänderte Zuweisungen, die von Get-DSUserLicense abgerufen wurden

### Hinweise

Für weitere Informationen geben Sie "Get-Help Set-DSUserLicense -detailed" ein. Für technische Informationen geben Sie "Get-Help Set-DSUserLicense -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/set-dsuserlicense.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
